<template>
  <NodeContact v-if="node" v-bind="node" />
</template>

<script lang="ts" setup>
defineOptions({
  name: 'PageContactSlug',
})

definePageMeta({
  path: '/kontakt/:slug(.*)*',
  languageMapping: {
    fr: '/contact/:slug(.*)*',
    en: '/contact/:slug(.*)*',
  },
})

const { entity: node } = await useDrupalRouteQuery('nodeContact')

await renderPageDependencies()
</script>
